
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "pry-factorybot/version"

Gem::Specification.new do |spec|
  spec.name          = "pry-factorybot"
  spec.version       = PryFactorybot::VERSION
  spec.authors       = ["hiroaki.osawa"]
  spec.email         = ["ikusawasi@gmail.com"]

  spec.summary       = %q{Combine 'pry' with 'factory_bot'. Adds default_strategies commands to control execution.}
  spec.homepage      = "https://github.com/QWYNG/pry-factorybot"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "pry", "~> 0.10"
  spec.add_runtime_dependency "factory_bot"
  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
